jc_modal_items:
  namespace: "Organisms/TM - Journey Check/JC Modal"
  use: "@organisms/tm-jc/jc-modal/jc-modal-items/journey-check-modal-items.html.twig"
  label: Items list
  description: Items list

  fields:
    element:
      type: object
      label: Data - Items
      preview:
        status: minor
        statusText: Problems reported
        footerText: ''
        hasIncidents: true
        items:
          - name: London Euston Lines (good)
            machineName: london_euston_1
            status: good
            statusText: Good
            hasIncidents: false
            showDetails: false
            children:
              - id: '508'
                name: Northampton via Milton Keynes Central
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
          - name: London Euston Lines (incidents)
            machineName: london_euston_2
            status: incidents
            statusText: Good
            showDetails: true
            hasIncidents: true
            children:
              - id: '508'
                name: Northampton via Milton Keynes Central
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '510'
                name: Crewe via The Trent Valley
                machineName: trent-valley
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - name: Birmingham New Street Lines
            machineName: birmingham
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            children:
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-mids
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '506'
                name: Liverpool via Crewe
                machineName: liverpool-line
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - id: '514'
            name: Bedford - Bletchley
            machineName: marston-vale
            status: amended
            statusText: Amended service
            hasIncidents: true
            showDetails: true
          - id: '513'
            name: St Albans Abbey
            machineName: abbey-line
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            showDetails: true

jc_modal_item:
  namespace: "Organisms/TM - Journey Check/JC Modal"
  use: "@organisms/tm-jc/jc-modal/jc-modal-items/journey-check-item.html.twig"
  label: Item
  description: Item

  fields:
    item:
      type: object
      label: Data - Item
      preview:
        id: '508'
        name: Northampton via Milton Keynes Central
        machineName: west-coast
        status: minor
        statusText: Minor service changes
        hasIncidents: true
        showDetails: true

jc_embed_routes:
  namespace: "Organisms/TM - Journey Check/JC Embeds"
  use: "@organisms/tm-jc/jc-modal/jc-modal-items/journey-check-embed-routes.html.twig"
  label: Routes embed
  description: Routes embed
  libraries:
    - jc_embed_routes_lib:
        css:
          component:
            ../styles/jc-modal-embed-routes.css: { weight: 9 }

  fields:
    element:
      type: object
      label: Data - Items
      preview:
        status: minor
        statusText: Problems reported
        footerText: '3 out of 6 issues'
        hasIncidents: true
        items:
          - name: London Euston Lines
            machineName: london_euston
            status: minor
            statusText: Minor service changes
            statusDescription: "5 out of 10 with <span class='status'>Minor service changes</span>"
            hasIncidents: true
            children:
              - id: '508'
                name: Northampton via Milton Keynes Central
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '510'
                name: Crewe via The Trent Valley
                machineName: trent-valley
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
              - id: '610'
                name: Norwich
                machineName: Norwich610
                status: good
                statusText: Good
                hasIncidents: false
                showDetails: false
              - id: '710'
                name: Hull
                machineName: Hull710
                status: good
                statusText: Good
                hasIncidents: false
                showDetails: false
          - name: Birmingham New Street Lines
            machineName: birmingham
            status: minor
            statusText: Minor service changes
            statusDescription: "3 out of 4 with  <span class='status'>Minor service changes</span>"
            hasIncidents: true
            children:
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-mids
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '506'
                name: Liverpool via Crewe
                machineName: liverpool-line
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - id: '514'
            name: Bedford - Bletchley
            machineName: marston-vale
            status: amended
            statusText: Amended service
            hasIncidents: true
            showDetails: true
          - id: '513'
            name: St Albans Abbey
            machineName: abbey-line
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            showDetails: true
